﻿@page "/counter"

<AuthorizeView Roles="User">
    <Authorized>
        <PageTitle>Counter</PageTitle>

        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-body text-center">
                            <h1 class="card-title">Counter</h1>
                            <p class="card-text" role="status">Current count: @currentCount</p>
                            <button class="btn btn-primary" @onclick="IncrementCount">Click me</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </Authorized>
    <NotAuthorized>
        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="alert alert-danger" role="alert">
                        Not Logged in
                    </div>
                </div>
            </div>
        </div>
    </NotAuthorized>
</AuthorizeView>

@code {
    private int currentCount = 0;

    private void IncrementCount()
    {
        currentCount++;
    }
}
